\name{toJSON}
\alias{toJSON}
\title{
  Converts R object to the JSON format
}
\description{
  \code{toJSON} takes an R object and attempt to convert it to the JSON
  format.
}
\usage{
toJSON(x, scalars = TRUE)
}
\arguments{
  \item{x}{R object to convert.}
  \item{scalars}{logical. If set to \code{TRUE} then vectors of length
    one are treated as scalars in JSON. Otherwise vectors are always lists.}
}
\details{
  \code{toJSON} attempts to convert R object to the JSON
  format. However, the JSON format only supports lists, maps, strings,
  numbers and booleans. This means that the conversion can be
  lossy. \code{toJSON} uses the following conventions: named vectors are
  stored as maps unless the names are non-unique. Matrices and arrays
  are stored as recursive lists such that accessing \code{array[x,y,z]}
  in R is equivalent to \code{array[x][y][z]} in JSON. Only numeric and
  logical vectors are treated separately, all other obejcts are coerced
  into strings using the \code{as.character()} method.
}
\value{
  A character vector of length one containing the JSON encoding of the R
  obejct.
}
%\references{
%}
\author{
Simon Urbanek
}
%\note{
%}
%\seealso{
%}
\examples{
  toJSON(c("foo","bar"))
  data(iris)
  toJSON(iris[1:5,])
  toJSON(list(m=matrix(1:6,2)))
}
\keyword{manip}
